# aida#generate

Generate Policy On Basis of free Text

Endpoint: POST /pm/api/v1/aida/generate
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string)
    Harness account ID
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `orgIdentifier` (string)
    Harness organization ID
    Example: "test-org"

  - `projectIdentifier` (string)
    Harness project ID
    Example: "test-project"

## Header parameters:

  - `x-api-key` (string)
    Harness PAT key used to perform authorization
    Example: "Harum at suscipit ut molestias reprehenderit."

## Request fields (application/json):

  - `policyData` (string)
    policySample Data
    Example: "encryptedJsonData example"

  - `query` (string)
    Text query
    Example: "query example"

## Response 200 fields (application/json):

  - `policy` (string, required)
    Build identifier
    Example: "policy example"

  - `status` (string, required)
    status
    Example: "SUCCESS"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


